## diaspora 0.7.15.0

=== debian/changelog ===
diaspora (0.7.15.0-7~bpo11+1) bullseye-backports-staging; urgency=medium

  * Rebuild for bullseye-backports-staging.

 -- Pirate Praveen <praveen@debian.org>  Wed, 07 Jul 2021 21:31:13 +0530

diaspora (0.7.15.0-7) experimental; urgency=medium

  * Switch to ruby-terser from ruby-uglifier for JS compression via sprockets

 -- Pirate Praveen <praveen@debian.org>  Wed, 07 Jul 2021 21:18:01 +0530

diaspora (0.7.15.0-6~bpo11+1) bullseye-backports-staging; urgency=medium

  * Rebuild for bullseye-backports-staging.

 -- Pirate Praveen <praveen@debian.org>  Sun, 04 Jul 2021 19:32:20 +0530

diaspora (0.7.15.0-6) experimental; urgency=medium

  * Update minimum version of libjs-autosize to 4.0.2~dfsg1-6
    (Required to fix the broken build of this library)

 -- Pirate Praveen <praveen@debian.org>  Sat, 03 Jul 2021 15:59:27 +0530

diaspora (0.7.15.0-5) experimental; urgency=medium

  * Add dependencies of embedded rails 5 as diaspora dependencies
    (Thanks to Rojin for testing diaspora and notifying me via matrix)

 -- Pirate Praveen <praveen@debian.org>  Thu, 01 Jul 2021 22:21:48 +0530

diaspora (0.7.15.0-4) experimental; urgency=medium

  * Make .bundle/config fixes conditional (thanks to Rojin for reporting)

 -- Pirate Praveen <praveen@debian.org>  Thu, 01 Jul 2021 19:54:44 +0530

diaspora (0.7.15.0-3) experimental; urgency=medium

  * Remove -a option from dh_fixperms
  * Fix .bundle/config for migration from diaspora-installer (Closes: #990471)
  * Fix permissions of files in binary package instead of source tree

 -- Pirate Praveen <praveen@debian.org>  Wed, 30 Jun 2021 20:10:18 +0530

diaspora (0.7.15.0-2) experimental; urgency=medium

  * Embed rails 5.2.6 (and drop dependency on ruby-rails5)
  * Cleanup unused entries in include-binaries and add new ones
  * Use embedded rails 5

 -- Pirate Praveen <praveen@debian.org>  Tue, 29 Jun 2021 23:36:46 +0530

diaspora (0.7.15.0-1) experimental; urgency=medium

  * Update watch file for new github regex
  * Bump Standards-Version to 4.5.1 (no changes needed)
  * New upstream version 0.7.15.0
  * Remove patch to relax sass, embedded now
  * Embedd sass-rails 5.0.7
  * Embed active_model_serializers 0.9.7
  * Install and use embedded components
  * Update dependencies
  * Embed rails-i18n 5.1.3
  * Update dependencies and install embedded gems
  * Update copyright for embedded gems
  * Update minimum version of diaspora-common

 -- Pirate Praveen <praveen@debian.org>  Mon, 28 Jun 2021 18:51:46 +0530

diaspora (0.7.14.0-9) experimental; urgency=medium

  * Update minimum version of diaspora-common and adapt postinst to new
    diaspora.conf format which does not export varibales
  
 -- Pirate Praveen <praveen@debian.org>  Tue, 06 Oct 2020 15:07:56 +0530

diaspora (0.7.14.0-8) experimental; urgency=medium

  * Use rails-assets-backbone instead of backbone-on-rails
  * Fix all invalid self-closing tags (Closes: #971618)
    Thanks again to Akshay S Dinesh.

 -- Pirate Praveen <praveen@debian.org>  Sat, 03 Oct 2020 17:27:37 +0530

diaspora (0.7.14.0-7) experimental; urgency=medium

  * Fix comment text area showing raw html and missing submit button bug
    (Closes: #971585). Thanks to Akshay S Dinesh for the patch.

 -- Pirate Praveen <praveen@debian.org>  Fri, 02 Oct 2020 17:49:02 +0530

diaspora (0.7.14.0-6) experimental; urgency=medium

  * Add forwarded info to relax-rubyzip.patch
  * Relax dependency on ruby-autoprefixer-rails (for #970550 fix)

 -- Pirate Praveen <praveen@debian.org>  Wed, 30 Sep 2020 17:20:14 +0530

diaspora (0.7.14.0-5) experimental; urgency=medium

  * Update minimum version of ruby-markdown-it-html5-embed for bug fix
    (This caused posts from not appearing on the timeline and instead
    just resulted in spinning of the progressbar.)

 -- Pirate Praveen <praveen@debian.org>  Wed, 23 Sep 2020 02:45:20 +0530

diaspora (0.7.14.0-4) experimental; urgency=medium

  * Switch back to ruby-active-model-serializers 0.9.7

 -- Pirate Praveen <praveen@debian.org>  Tue, 22 Sep 2020 14:57:34 +0530

diaspora (0.7.14.0-3) experimental; urgency=medium

  * Update minimum version of ruby-rails-assets-perfect-scrollbar

 -- Pirate Praveen <praveen@debian.org>  Sun, 20 Sep 2020 17:08:31 +0530

diaspora (0.7.14.0-2) experimental; urgency=medium

  * Make Gemfile.lock writable by adding symbolic link to /var/lib/diaspora
  * Update minimum version of responders to 3.0
  * Add ruby-rqrcode as dependency and update minimum versions
  * Relax dependency on ruby-typhoeus
  * Update minimum versions for bug fixes in dependencies
  * Update minimum version of diaspora-common for config symlink to /etc

 -- Pirate Praveen <praveen@debian.org>  Fri, 18 Sep 2020 17:42:41 +0530

diaspora (0.7.14.0-1) experimental; urgency=medium

  [ Pirate Praveen ]
  * Set GEM_HOME to fix bundle install permissions error
  * Move diaspora/config -> /etc/diaspora link to diaspora-common

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

  [ Cédric Boutillier ]
  * Update team name
  * Add .gitattributes to keep unwanted files out of the source package

  [ Pirate Praveen ]
  * Keep dandelion.jpg in orig source (it is now public domain)
  * New upstream version 0.7.14.0
  * Refresh patches
  * Remove dependency on ruby-eye (systemd units can be used to manage service)
  * Relax dependency on responders, sidekiq, sass-rails, rails-i18n, faraday,
    faraday_middleware, rubyzip in Gemfile
  * Update minimum versions of dependencies

 -- Pirate Praveen <praveen@debian.org>  Wed, 16 Sep 2020 19:41:53 +0530
