=== debian/control ===
Source: diaspora
Section: net
Priority: optional
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>,
           Raju Devidas <rajudev@disroot.org>,
           Utkarsh Gupta <guptautkarsh2102@gmail.com>
Build-Depends: debhelper (>= 11~), gem2deb
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/ruby-team/diaspora.git
Vcs-Browser: https://salsa.debian.org/ruby-team/diaspora
Homepage: http://diasporafoundation.org
XS-Ruby-Versions: all

Package: diaspora
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Pre-Depends: bc
Depends: ruby | ruby-interpreter,
         diaspora-common (>= 0.7.15.0+debian2),
         bundler (>= 1.9~),
         rake (>= 10.4.2~),
# rails 5.2.6 is embedded
         ruby-arel,
         ruby-marcel (>= 1.0~),
         ruby-websocket-driver,
         ruby-nio4r,
         ruby-globalid,
#         ruby-rails5 (>= 2:5.1~),
         ruby-responders (>= 3.0.1~),
         unicorn (>= 6.0~),
         ruby-unicorn-worker-killer (>= 0.4.5~),
         ruby-diaspora-federation-json-schema (>= 0.2.6~),
         ruby-diaspora-federation-rails (>= 0.2.6~),
         ruby-acts-as-api (>= 1.0.1~),
         ruby-json (>= 2.3~),
         ruby-json-schema (>= 2.8.1~),
         ruby-devise (>= 4.7.3~),
         ruby-devise-two-factor (>= 4.0~),
         ruby-devise-lastseenable (>= 0.0.6~),
         ruby-devise-lastseenable (<< 0.1),
         ruby-rqrcode (>= 1.1.2~),
         ruby-simple-captcha2 (>= 0.5~),
         ruby-redis (>= 4.2.5~),
         ruby-sidekiq (>= 6.2.1~),
         ruby-sidekiq-cron (>= 1.2~),
         ruby-terser (>= 1.0~),
         ruby-configurate (>= 0.5~),
         ruby-toml-rb (>= 2.0.1~),
         ruby-rack-cors (>= 1.1.1~),
         ruby-autoprefixer-rails (>= 10.2.4~),
         ruby-bootstrap-sass (>= 3.4.1~),
         ruby-bootstrap-switch-rails (>= 3.3.4~),
# compass-rails, compass, sass and sass-rails are embedded
         ruby-chunky-png (>= 1.2~),
         ruby-rb-inotify,
         ruby-sprockets-rails (>= 3.2.1~),
         ruby-pg (>= 1.2.3~),
         ruby-activerecord-import (>= 1.0.4~),
         ruby-carrierwave (>= 1.3.2~),
         ruby-fog-aws (>= 3.5.2~),
         ruby-mini-magick (>= 4.10.1~),
         ruby-uuid (>= 2.3.9~),
         ruby-entypo-rails (>= 3.0~),
         ruby-handlebars-assets (>= 2:0.23.8~),
         ruby-jquery-rails (>= 4.3.5~),
         ruby-js-routes (>= 1.4.9~),
         ruby-js-image-paths (>= 0.1.1~),
         ruby-rails-assets-jquery (>= 3.4.1~),
         ruby-jquery-ui-rails (>= 5.0.5~),
         ruby-rails-assets-highlightjs (>= 9.12~),
         ruby-rails-assets-markdown-it (>= 8.4.2~),
         ruby-rails-assets-markdown-it-hashtag (>= 0.4.0~),
         ruby-rails-assets-markdown-it-diaspora-mention (>= 1.2~),
         ruby-rails-assets-markdown-it-sanitizer (>= 0.4.3~),
         ruby-rails-assets-markdown-it--markdown-it-for-inline (>= 0.1.1~),
         ruby-rails-assets-markdown-it-sub (>= 1.0~),
         ruby-rails-assets-markdown-it-sup (>= 1.0~),
         ruby-rails-assets-backbone,
         ruby-rails-assets-bootstrap-markdown (>= 2.10~),
         ruby-rails-assets-corejs-typeahead (>= 1.2.1-2~),
         ruby-rails-assets-fine-uploader (>= 5.13.0-2~),
         ruby-rails-assets-autosize (>= 4.0.2~),
           libjs-autosize (>= 4.0.2~dfsg1-6~),
         ruby-rails-assets-blueimp-gallery (>= 2.33~),
         ruby-rails-assets-jquery.are-you-sure (>= 1.9.0-2~),
         ruby-rails-assets-jquery-placeholder (>= 2.3.1~),
         ruby-rails-assets-jquery-textchange (>= 0.2.3~),
         ruby-rails-assets-perfect-scrollbar (>= 1.4.0-4~),
         ruby-markdown-it-html5-embed (>= 1.0.0+dfsg-5~),
         ruby-http-accept-language (>= 2.1.1~),
         ruby-i18n-inflector-rails (>= 1.0.7~),
# Embedded
#         ruby-rails-i18n (>= 5.1.2~),
         ruby-markerb (>= 1.1~),
         ruby-leaflet-rails (>= 1.6~),
         ruby-nokogiri (>= 1.11.3~),
         ruby-open-graph-reader (>= 0.7.1~),
         ruby-redcarpet (>= 3.5.1~),
         ruby-oembed (>= 0.12~),
         ruby-twitter-text (>= 1.14.7~),
         ruby-string-direction (>= 1.2.2~),
         ruby-secure-headers (>= 6.3.2~),
         ruby-omniauth (>= 1.9.1~),
         ruby-omniauth-tumblr (>= 1.2~),
         ruby-omniauth-twitter (>= 1.4~),
         ruby-omniauth-wordpress (>= 0.2.2~),
# for compatibility with newer faraday
           ruby-omniauth-oauth2 (>= 1.6~),
           ruby-oauth2 (>= 1.4.4~),
         ruby-twitter (>= 7.0~),
         ruby-openid-connect (>= 1.1.8~),
# This is embedded in diaspora now as packaged version is 0.10
#         ruby-active-model-serializers (>= 0.9.7~),
#         ruby-active-model-serializers (<< 0.10~),
         ruby-diaspora-prosody-config (>= 0.0.7~),
         ruby-rails-assets-diaspora-jsxc (>= 0.1.5~),
         ruby-acts-as-taggable-on (>= 6.5~),
         ruby-addressable (>= 2.7~),
         ruby-faraday (>= 1.0~),
         ruby-faraday-middleware (>= 0.13.1~),
         ruby-faraday-cookie-jar (>= 0.0.6~),
         ruby-typhoeus (>= 1.4~),
         ruby-gon (>= 6.3.2~),
         ruby-hamlit (>= 2.14.6~),
         ruby-mobile-fu (>= 1.4~),
         ruby-rails-timeago (>= 2.18~),
         ruby-will-paginate (>= 3.3~),
         ruby-logging-rails (>= 0.6~),
         ruby-zip (>= 2.3~),
         ruby-versionist (>= 2.0.1~),
         nodejs,
         ruby-rack-google-analytics (>= 1.2~),
         ruby-rack-piwik (>= 0.3.0~),
         ruby-rack-rewrite (>= 1.5.1~),
         ruby-rack-ssl (>= 1.4.1~),
         ruby-asset-sync (>= 2.11~),
         imagemagick,
         fonts-roboto-hinted,
         ${shlibs:Depends},
         ${misc:Depends}
Conflicts: diaspora-installer
Provides: ruby-rails (= 5.2.6), ruby-railties (= 5.2.6)
Replaces: diaspora-installer
Description: distributed social networking service
 Diaspora (currently styled diaspora* and formerly styled DIASPORA*) is a free
 personal web server that implements a distributed social networking service.
 Installations of the software form nodes (termed "pods") which make up the
 distributed Diaspora social network.
 .
 Diaspora is intended to address privacy concerns related to centralized
 social networks by allowing users set up their own server (or "pod") to
 host content; pods can then interact to share status updates, photographs,
 and other social data. It allows its users to host their data with a
 traditional web host, a cloud-based host, an ISP, or a friend. The framework,
 which is being built on Ruby on Rails, is free software and can be
 experimented with by external developers.
 .
 Learn more about diaspora at http://diasporafoundation.org
 .
 This package configures PostgreSQL as the database and Nginx as the web server.
