=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#
# Uncomment to ignore all test failures (but the tests will run anyway)
#export DH_RUBY_IGNORE_TESTS=all
#
# Uncomment to ignore some test failures (but the tests will run anyway).
# Valid values:
#export DH_RUBY_IGNORE_TESTS=ruby2.0 ruby2.1 require-rubygems
#
# If you need to specify the .gemspec (eg there is more than one)
#export DH_RUBY_GEMSPEC=gem.gemspec

%:
	dh $@

override_dh_install:
	dh_install
	rm -rf debian/diaspora/usr/share/diaspora/app/assets
	rm -f debian/diaspora/usr/share/diaspora/db/schema.rb

clean:
	dh clean
	rm -rf .bundle

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/diaspora/usr/share/diaspora/vendor/gems/rails-5.2.6/railties/exe/rails
	find debian/gems-compat/ -type f -perm 0755 -print -exec chmod 644 {} \;
	find debian/gems-compat/ -type f -perm 0644 -print| grep  '/bin'|xargs chmod +x
